Subject: Re: [X2Go-Dev] Bug#676: Nightly RPM transaction check failed on /etc/sudoers.d

From: Mike Gabriel <[email-masked]>
Date: Sat, 29 Nov 2014 13:17:54 +0000

Hi Jasmin

On  Mo 17 Nov 2014 03:43:03 CET, Jasmin Lévesque wrote:

> Transaction check error:
>   file /etc/sudoers.d from install of
> x2goserver-4.1.0.0-0.0x2go1.0.git20141116.1181.heuler.el7.centos.x86_64
> conflicts with file from package sudo-1.8.6p7-11.el7.x86_64
>
> When digging for the .spec file I found this:
>
> http://code.x2go.org/gitweb?p=x2goserver.git;a=blob_plain;f=x2goserver.spec;hb=HEAD
> Line 563: %dir %{_sysconfdir}/sudoers.d
>
> This makes the RPM authoritative of that directory. In a update or removal,
> it would delete this folder. Since it's owned rightfully by the already
> installed sudo package, installation fails.
>
> Line 564 should be enough to get your config file in place.

I have dropped the %dir lines now and get this with our nightly builds  
(against openSUSE 12.3 / 13.1) from rpmlint:

"""
[  141s]  
x2goserver-4.1.0.0-0.0x2go1.0.git20141128.1197.heuler.x86_64.rpm:  
directories not owned by a package:
[  141s]  - /etc/logcheck
[  141s]  - /etc/logcheck/ignore.d.server
[  141s]  - /etc/sudoers.d
"""

This seems to be conflicting with each other, right? I guess I have to  
add some lines to x2goserver-rpmlintrc to render builds as working  
again...

Any input from your side?

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb